package de.ivu.elect.business.benutzerverwaltung.entity;

import java.util.Collection;

import de.ivu.elect.business.konfiguration.entity.CustomParameter;


import static java.util.Arrays.asList;

public abstract class AbstractBenutzerParameter implements BenutzerParameterBase, CustomParameter<BenutzerParameterWerte> {

  private static final long serialVersionUID = 1L;

  @Override
  public Collection<BenutzerParameterWerte> getTemplates() {
    return asList(BenutzerParameterWerte.values());
  }

  @Override
  public String getKey() {
    return getSchluessel();
  }

  @Override
  public void setKey(String key) {
    setSchluessel(key);
  }

}
